import { Checkbox } from '@material-ui/core'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'

const StepConsent = ({
  formConsent,
  setFormConsent,
}: {
  formConsent: {
    dataConsent: boolean
    contractConfirm: boolean
  }
  setFormConsent: React.Dispatch<
    React.SetStateAction<{
      dataConsent: boolean
      contractConfirm: boolean
    }>
  >
}) => {
  const { t } = useI18n()

  return (
    <div className="stepDetails">
      <div className="text-16-normal">{t('auth.eglgrandlyon.headConsent')}</div>
      <h2 className="text-22-bold">{t('auth.eglgrandlyon.textConsent')}</h2>
      <ul className="text-16-normal">
        <li>{t('auth.eglgrandlyon.consentLi')}</li>
      </ul>
      <label htmlFor="dataConsentEpgl" className="inline">
        <Checkbox
          id="dataConsentEpgl"
          className="inputCheckbox"
          checked={formConsent.dataConsent}
          onChange={e =>
            setFormConsent(prev => ({ ...prev, dataConsent: e.target.checked }))
          }
          required
        />
        <span
          dangerouslySetInnerHTML={{
            __html: t('auth.eglgrandlyon.consentCheck1'),
          }}
        />
      </label>
      <label htmlFor="contractConfirm" className="inline">
        <Checkbox
          id="contractConfirm"
          className="inputCheckbox"
          checked={formConsent.contractConfirm}
          onChange={e =>
            setFormConsent(prev => ({
              ...prev,
              contractConfirm: e.target.checked,
            }))
          }
          required
        />
        <span
          dangerouslySetInnerHTML={{
            __html: t('auth.eglgrandlyon.consentCheck2'),
          }}
        />
      </label>
    </div>
  )
}

export default StepConsent
