import { render } from '@testing-library/react'
import { ProfileTypeStepForm } from 'enums'
import React from 'react'
import { Provider } from 'react-redux'
import {
  mockProfileType,
  mockProfileTypeAnswers,
} from 'tests/__mocks__/profileType.mock'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import ProfileTypeFormNumberSelection from './ProfileTypeFormNumberSelection'

describe('ProfileTypeFormNumberSelection component', () => {
  const store = createMockEcolyoStore()

  it('should be rendered correctly', () => {
    const { container } = render(
      <Provider store={store}>
        <ProfileTypeFormNumberSelection
          step={ProfileTypeStepForm.COOKING_FLUID}
          viewedStep={ProfileTypeStepForm.AREA}
          currentProfileType={mockProfileType}
          answerType={mockProfileTypeAnswers[3]}
          setNextStep={jest.fn()}
          setPreviousStep={jest.fn()}
        />
      </Provider>
    )
    expect(container.getElementsByTagName('input')[0]).toBeInTheDocument()
  })
})
