import DisconnectedOff from 'assets/icons/visu/disconnected-off.svg'
import DisconnectedOn from 'assets/icons/visu/disconnected-on.svg'
import ElecOff from 'assets/icons/visu/elec-off.svg'
import ElecOn from 'assets/icons/visu/elec-on.svg'
import GasOff from 'assets/icons/visu/gas-off.svg'
import GasOn from 'assets/icons/visu/gas-on.svg'
import MultiOff from 'assets/icons/visu/multi-off.svg'
import MultiOn from 'assets/icons/visu/multi-on.svg'
import WaterOff from 'assets/icons/visu/water-off.svg'
import WaterOn from 'assets/icons/visu/water-on.svg'
import { FluidType } from 'enums'

/** Return an icon corresponding to FluidType enum */
export function getFluidIcon(type: FluidType) {
  switch (type) {
    case FluidType.ELECTRICITY:
      return ElecOn
    case FluidType.WATER:
      return WaterOn
    case FluidType.GAS:
      return GasOn
    case FluidType.MULTIFLUID:
      return MultiOn
    default:
      return ElecOn
  }
}

/** Returns the appropriate icon for a given fluid type and connection status */
export function getActiveFluidIcon(
  fluidType: FluidType,
  active: boolean,
  connected: boolean
) {
  if (!connected) {
    return active ? DisconnectedOn : DisconnectedOff
  }

  switch (fluidType) {
    case FluidType.ELECTRICITY:
      return active ? ElecOn : ElecOff
    case FluidType.WATER:
      return active ? WaterOn : WaterOff
    case FluidType.GAS:
      return active ? GasOn : GasOff
    case FluidType.MULTIFLUID:
      return active ? MultiOn : MultiOff
    default:
      return ElecOn
  }
}
